﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ConfettiBehaviour : MonoBehaviour {

    public AnimationCurve speedCurve;
    ParticleSystem confetti;
    float time;
    
    void Start()
    {
        confetti = GetComponent<ParticleSystem>();
    }

    void Update()
    {
        if (time < 1)
        {
            time += Time.deltaTime;
            // Update particle velocities, assumes constant velocity
            int numParticles = confetti.particleCount;
            ParticleSystem.Particle[] particles = new ParticleSystem.Particle[numParticles];
            confetti.GetParticles(particles);
            for (int i = 0; i < particles.Length; i++)
            {
                particles[i].velocity = particles[i].velocity * speedCurve.Evaluate(time * 5);
            }

            confetti.SetParticles(particles, numParticles);
        }
    }
}
