﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GoalBehaviour : MonoBehaviour {

    public string goalOwner;
    public GameManager gameMan;
	public SoundMan soundMan;
    public ParticleSystem confetti;

	void OnTriggerEnter(Collider col)
    {
        if (gameMan.roundState == Rounds.Action)
        {
            PlayerController player = col.GetComponentInParent<PlayerController>();

            if (player != null)
            {
                if (player.teamName == goalOwner)
                {
                    gameMan.Score(player.teamName);

					/// SOUND
					soundMan.PlaySFX ("score");
					/// ENDOF

                    player.moveSpeed = player.moveSpeed * 2;
                    confetti.Play();
                }
            }
        }
    }
}
