﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundMan : MonoBehaviour {

	public AudioClip startRoundSFX;
	public AudioClip endRoundSFX;
	public AudioClip scoreSFX;
	public AudioClip winSFX;
	public AudioClip catchSFX;
	public AudioClip throwSFX;

	public AudioSource oneShotter;
	public AudioSource bgm;

	public float bgmStartVolume;

	// Use this for initialization
	void Start () {
		bgm.volume = bgmStartVolume;
	}
	
	// Update is called once per frame
	void Update () {
		if (Camera.main.GetComponent<GameManager> ().roundState != Rounds.Startup || Camera.main.GetComponent<GameManager> ().starting) {
			bgm.volume = Mathf.Lerp (bgm.volume, 1, 0.1f);

		} else if (Camera.main.GetComponent<GameManager> ().roundState == Rounds.Startup) {
			bgm.volume = Mathf.Lerp (bgm.volume, bgmStartVolume, 0.1f);
		}
	}

	public void PlaySFX(string sfx){
		switch (sfx) {
		case "startRound":
			oneShotter.PlayOneShot (startRoundSFX);
			break;
		case "endRound":
			oneShotter.PlayOneShot (endRoundSFX);
			break;
		case "score":
			oneShotter.PlayOneShot (scoreSFX);
			break;
		case "win":
			oneShotter.PlayOneShot (winSFX);
			break;
		case "catch":
			oneShotter.PlayOneShot (catchSFX);
			break;
		case "throw":
			oneShotter.PlayOneShot (throwSFX);
			break;
		}
	}
}
